//MAIN.H
//Internal routines
void interrupt_routine(void);

//External routines
extern void SetFont(char f);
extern void DisplayLogo(unsigned char image);
extern void DrawBox(unsigned char x1, unsigned char y1, unsigned char x2, unsigned char y2, int iFill);
extern void ClearBox(unsigned char x1, unsigned char y1, unsigned char x2, unsigned char y2, int iFill);

extern void wait_ms(int i);
extern void wait_us(int i);

extern void ControllerCMD(char val);
extern void ControllerDATA(char val);
extern void init_lcd(void);
extern void conv(int *pos);
extern void cursor(int pos);
extern void putcharat(int pos, int c);
extern void printat(int pos,char *s);
extern void SetCursorType(int code);
extern void print_top(char *s);
extern void print_bot(char *s);
extern void print_top_rom(rom char *s);
extern void print_bot_rom(rom char *s);
extern void clear_top(void);
extern void clear_bot(void);
extern void clear_screen(void);
extern void scroll_bot(char *s);
extern void fprintat(int pos,double fv,int cfield, int cplaces);
extern void n2printat(int pos,int nval);
extern void nprintat(int pos,int nval,int cfield);
extern void set_display_brightness(int code);

extern void ShowMeter(char cLevel);
extern void SetupCGRam(void);
extern char BusyCheck(void);

//Global consts
#define SERIAL_BUFFER_SIZE 20
//Global vars
char buf[20];
char sbuffer[20];
char gcField;
char gcPlaces;
char sin;
char sout;
unsigned char AudioPresent;
